//
//  AppDelegate.h
//  Channels
//


#import <Cocoa/Cocoa.h>

#import "Channel.h"

@interface AppDelegate : NSObject <NSApplicationDelegate, NSWindowDelegate> {
    IBOutlet NSTextField *errorMessage;
    IBOutlet NSTextField *inputBox;                 // input from user
    IBOutlet NSTabView *tab;                        // tab view that holds chat windows
    
    NSMutableArray *buttons;                        // 'button bar' for channels
    
    NSSize windowSize, contentSize;
    int activeButton;
    
    float barWidth;                                 // dimensions of button bar
    float barHeight;
    float nicklist_width;
}

- (void)arrangeButtons;
- (void)listChannels;
- (IBAction)addChannel:(id)sender;
- (IBAction)addChannelByName:(NSString *)name;
- (IBAction)removeChannel:(id)sender;
- (int)findButtonWithTitle:(NSString *)title;

@property (assign) IBOutlet NSWindow *window;

@end
