//
//  Channel.m
//  Channels
//

#import "Channel.h"

@implementation Channel

@synthesize name, button, chatWindow, nickList, nickScrollView;

- (id)init {
    if (self = [super init])  {
        // class-specific initialization
    }

    nicks = [[NSMutableArray alloc ] initWithObjects:@"Billy", @"Joe", @"Dave", @"Tom", @"Matt", nil];
    
    NSLog(@"Channel init");
    return self;
}

- (void)dealloc {
    [nicks release];
}

- (void)moveButton:(NSRect)newRect {
    // change the frame, not the bounds!
    [button setFrame:newRect];
}

- (void)listNicks {
    NSLog(@"Nicks are %@", nicks);
}

- (void)addNick:(NSString*)newNick {
    [nicks addObject:newNick];
}

- (NSString *)buttonTitle {
    return [button title];
}

// data source methods

- (NSInteger)numberOfRowsInTableView:(NSTableView *)tableView {
    NSLog(@"Number of rows = %lu", [nicks count]);
    NSLog(@"Delegate is %@", [tableView delegate]);
    NSLog(@"Datasource is %@", [tableView dataSource]);
    return (NSInteger)[nicks count];
}

- (id)tableView:(NSTableView *)tableView
objectValueForTableColumn:(NSTableColumn *)tableColumn
        row:(NSInteger)row {
    NSLog(@"Row contains %@", [nicks objectAtIndex:row]);
    NSLog(@"TableColumn is %@", [tableColumn identifier]);
    return [nicks objectAtIndex:row];
}

@end
